#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n,x,vreme;
    scanf("%d %d",&n,&x);
    int a[n];
    scanf("%d",&a[0]);
    int amax=a[0];
    int amin=a[0];
    for (int i=1;i<n;i++)
    {
        scanf("%d",&a[i]);
        if (a[i]<amin)
            amin=a[i];
        if (a[i]>amax)
            amax=a[i];
    }
    if (x<=amin)
        vreme=amax-x; else
        if (x>=amax)
        vreme=x-amin; else
        vreme=min(x-amin,amax-x)*2+max(x-amin,amax-x);
    printf("%d\n",vreme);
    return 0;
}